EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_GetBlob',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DockerBlobs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the the blob with the specified digest if it exists, whether it is a feed-specific blob or a global blob.'
GO

IF OBJECT_ID('[DockerBlobs_GetBlob]') IS NOT NULL DROP PROCEDURE [DockerBlobs_GetBlob]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_GetBlob]
(
	@Blob_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT TOP 1 *
	  FROM [DockerBlobs]
	 WHERE [Blob_Digest] = @Blob_Digest
	 ORDER BY CASE WHEN [Feed_Id] IS NULL THEN 0 ELSE 1 END

END
GO

GRANT EXECUTE ON [DockerBlobs_GetBlob] TO [ProGetUser_Role]
GO